Package Details: ipe 7.2.20-2

Git Clone URL: https://aur.archlinux.org/ipe.git (read-only, click to copy)
Package Base: ipe
Description: The extensible drawing editor
Upstream URL: http://ipe.otfried.org/
Licenses: GPL
Conflicts: ipe
Submitter: foxcub
Maintainer: foxcub
Last Packager: foxcub
Votes: 76
Popularity: 0.190992
First Submitted: 2007-01-02 01:58
Last Updated: 2020-06-27 16:58

Latest Comments

« First ‹ Previous ... 7 8 9 10 11 12 13 Next › Last »

Sharpeee commented on 2010-11-26 16:17

.13 is out and .12 not found anymore

foxcub commented on 2010-10-18 14:46

Ah, then you are better off first trying to compile Ipe by hand, and then asking on the Ipe mailing list about the specific problems.

porcaror commented on 2010-10-18 08:25

Thanks. I mean the previous version of Ipe which is running perfectly on my sytem.

foxcub commented on 2010-10-17 19:37

I'm not sure how to help you: I've never seen such an error before, and I don't think anything has changed in ipebase.cpp in the last PKGBUILD. When you say the last version do you mean of PKGBUILD or of Ipe?

porcaror commented on 2010-10-17 14:42

While I use the makepkg command on the PKGBUILD, using a x86_64 platform, I receive the following error:

ipebase.cpp:1:0: error: CPU you selected does not support x86-64 instruction set

and the compilation stops.

That's strange because with the previous version it was ok.

Can you help me?

foxcub commented on 2010-10-12 02:35

Thanks, Norbert, I've uploaded your tarball.

Anonymous comment on 2010-10-12 00:28

A tarfile to replace the one above can be got at http://www.cs.dal.ca/~nzeh/ipe.tar.gz. It contains the added patches and a PKGBUILD to apply the patches. It also bumps the release number to 4 (+1 from the current 2 for the patches mentioned in my previous post, another +1 for a patch to make ipe work with texlive2010, which has just hit [extra]). The texlive2010 patch addresses a problem with parsing pdflatex output discussed at http.typke.com/cgi-bin/bugzilla3/show_bug.cgi?id=350, using the fix discussed there.

foxcub commented on 2010-10-07 22:00

I am interested. The best would be if you put it up online, and post the link here.

Anonymous comment on 2010-10-07 21:58

Ipe 7.0.10 has some bugs in its lua functions that
1) Doesn't let it find ipelets in non-standard locations
2) Makes ipe crash when setting skip
3) Makes equal spacing top-to-bottom arrange the objects wrongly.
This has been discussed on the mailing list by Otfried and myself. I do have an updated tarball derived from the above tarball and containing two additional patches that fix these problems. It would be worthwhile to make this patched version available to the archlinux community until Otfried gets around to releasing a new version of Ipe. So, foxcub, are you interested in the patched tarball? If so, how do I submit it to you?

foxcub commented on 2010-09-24 20:41

Done. Thanks, Maik.